跳到主要内容

查看 Alias 列表 (V2)

This operation lists all existing collection aliases in the specified Zilliz Cloud cluster.

POST/v2/vectordb/aliases/list
连接端点

该 API 的 Base URL 格式如下:

https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530

📘说明
  • 如果您使用的是服务集群,请使用集群端点。
    • Free 与 Serverless 版

      https://{cluster-id}.serverless.{region}.vectordb.zillizcloud.com

    • Dedicated 版

      https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530

  • 你需要填入您的 Zilliz Cloud 集群的 ${CLUSTER_ENDPOINT}
  • 您可以使用 查看集群详情 V2 来获取集群的 Endpoint.
export CLUSTER_ENDPOINT="https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530"
参数
Authorizationstringheaderrequired

认证令牌,应为具备适当权限的 API 密钥或用冒号分隔的用户名和密码,如 username:password

示例值:Bearer {{TOKEN}}
请求体application/json
dbNamestring

已存在的数据库名称。

collectionNamestring

已存在的 Collection 名称。若指定,仅返回该 Collection 的所有 Alias。若不指定将返回所有 Alias。

export TOKEN="db_admin:xxxxxxxxxxxxx"

curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/aliases/list" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"dbName": "default"
}'
响应200 - application/json
codeinteger

响应码。

示例值:0
dataarray

响应载荷,为元素对象列表。

[]datastring

对象列表。

返回错误消息。

codeinteger

响应码。

messagestring

错误描述。

{
"code": 0,
"data": [
"bob"
]
}